%global pypi_name importlib-resources
%global python3_pkgversion 38
%global commitId f9fbc5958039defe10da77277381a324ff181eb6

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        1.1.0
Release:        2%{?dist}
Summary:        Read resources from Python packages

License:        ASL 2.0
URL:            https://github.com/python/importlib_resources
Source0:        python-importlib-resources-f9fbc5958039defe10da77277381a324ff181eb6.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
 importlib_resources importlib_resources is a backport of Python 3.7's standard
library importlib.resources < module for Python 2.7, and 3.4 through 3.6. Users
of Python 3.7 and beyond should use the standard library module, since for
these versions, importlib_resources just delegates to that module.The key goal
of this module is to replace parts of pkg_resources < with a solution in
Python's...

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.rst
%{python3_sitelib}/importlib_resources
%{python3_sitelib}/importlib_resources-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-2
- Fix License

* Wed Apr 21 2021 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- Initial package.
